<?php if (!defined('ABSPATH')) die('No direct access allowed'); ?>
<?php
$inique_id = uniqid();
wp_enqueue_script('thememakers_theme_map_api_js', 'http://maps.google.com/maps/api/js?sensor=false');
wp_enqueue_script('thememakers_theme_markerwithlabel_js', THEMEMAKERS_THEME_URI . '/js/markerwithlabel.js');

$controls = ""; //not need
$js_controls = '{';
if (!empty($controls)) {
    $controls = explode(',', $controls);
    if (!empty($controls)) {
        foreach ($controls as $key => $value) {
            if ($key > 0) {
                $js_controls.=',';
            }
            $js_controls.=$value . ': true';
        }
    }
}
$js_controls.='}';
?>

<div class="google_map" id="google_map_<?php echo $inique_id ?>" style="width: <?php echo $width ?>px; height: <?php echo $height ?>px;"></div>

<script type="text/javascript">
    jQuery(function() {
        gmt_init_map(<?php echo $latitude ?>,<?php echo $longitude ?>, "google_map_<?php echo $inique_id ?>", <?php echo $zoom ?>, "<?php echo $map_type ?>", "<?php echo $content ?>", "<?php echo $enable_marker ?>", "<?php echo $enable_popup ?>", "<?php echo $enable_scrollwheel ?>",<?php echo $js_controls ?>);
		
    });
	
</script>
